/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-31 09:35:22.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.examwork.api.controller.bean;

import cn.com.qmth.examcloud.api.commons.enums.NoticeReceiverRuleType;
import cn.com.qmth.examcloud.api.commons.enums.NoticeStatus;
import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.validation.constraints.NotNull;

/**
 * 添加通知信息实体
 */
public class AddNoticeDomain implements JsonSerializable {

    private static final long serialVersionUID = -7739022488162924094L;

    /**
     * 标题
     */
    @ApiModelProperty("标题")
    @NotNull(message = "标题不允许为空")
    @Length(min = 1, max = 50, message = "标题长度不得超过50")
    private String title;
    /**
     *  内容
     */
    @ApiModelProperty("内容")
    @NotNull(message = "内容不允许为空")
    private String content;

    /**
     * 规则类型
     */
    @Enumerated(EnumType.STRING)
    @NotNull(message = "发送方式不允许为空")
    private NoticeReceiverRuleType ruleType;

    /**
     * 公告状态
     */
    @Enumerated(EnumType.STRING)
    @NotNull(message = "公告状态")
    private NoticeStatus noticeStatus;
    /**
     * 发送对象
     */
    @ApiModelProperty("发送对象,多个以逗号分隔")
    private String publishObjectId;
    /**
     * 发布者
     */
    @ApiModelProperty("发布者")
    @NotNull(message = "发送人不允许为空")
    private String publisher;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getPublishObjectId() {
        return publishObjectId;
    }

    public void setPublishObjectId(String publishObjectId) {
        this.publishObjectId = publishObjectId;
    }

    public String getPublisher() {
        return publisher;
    }

    public void setPublisher(String publisher) {
        this.publisher = publisher;
    }


    public NoticeReceiverRuleType getRuleType() {
        return ruleType;
    }

    public void setRuleType(NoticeReceiverRuleType ruleType) {
        this.ruleType = ruleType;
    }

    public NoticeStatus getNoticeStatus() {
        return noticeStatus;
    }

    public void setNoticeStatus(NoticeStatus noticeStatus) {
        this.noticeStatus = noticeStatus;
    }
}