package cn.com.qmth.examcloud.core.examwork.api.controller.bean;

import cn.com.qmth.examcloud.api.commons.enums.SubmitType;
import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import java.util.Date;

/**
 * @Description 场次
 * @Author lideyin
 * @Date 2020/7/22 17:21
 * @Version 1.0
 */
@SuppressWarnings("ALL")
public class ExamStageDomain implements JsonSerializable {

    private static final long serialVersionUID = 5181451704042537371L;
    private Long id;

    /**
     * 顶级机构Id
     */
    private Long rootOrgId;

    /**
     * 考试id
     */
    private Long examId;

    /**
     * 场次号
     */
    private Integer stageOrder;

    /**
     * 开始进入考试时间
     */
    private Date startTime;

    /**
     * 考试批次结束时间
     */
    private Date endTime;

    private Boolean enable;

    /**
     * 是否特殊设置
     */
    private Boolean specialSetting;

    /**
     * 回收试卷类型
     */
    @Column(nullable = false, length = 50)
    @Enumerated(EnumType.STRING)
    private SubmitType submitType;

    /**
     * 统一收卷考试时长
     */
    private Integer submitDuration;

    private Date updateTime;

    /**
     * 创建时间
     */
    private Date creationTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Integer getStageOrder() {
        return stageOrder;
    }

    public void setStageOrder(Integer stageOrder) {
        this.stageOrder = stageOrder;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public Boolean getSpecialSetting() {
        return specialSetting;
    }

    public void setSpecialSetting(Boolean specialSetting) {
        this.specialSetting = specialSetting;
    }

    public SubmitType getSubmitType() {
        return submitType;
    }

    public void setSubmitType(SubmitType submitType) {
        this.submitType = submitType;
    }

    public Integer getSubmitDuration() {
        return submitDuration;
    }

    public void setSubmitDuration(Integer submitDuration) {
        this.submitDuration = submitDuration;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(Date creationTime) {
        this.creationTime = creationTime;
    }
}
