/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-31 09:35:22.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.examwork.api.controller.bean;

import cn.com.qmth.examcloud.api.commons.enums.NoticeReceiverRuleType;
import cn.com.qmth.examcloud.api.commons.enums.NoticeStatus;
import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 通知信息实体
 */
public class NoticeDomain implements JsonSerializable {

    private static final long serialVersionUID = -7739022488162924094L;
    /**
     * 公告id
     */
    @ApiModelProperty("公告id")
    private Long id;
    /**
     * 标题
     */
    @ApiModelProperty("标题")
    private String title;
    /**
     * 发送对象
     */
    @ApiModelProperty("发送对象")
    private java.util.List<Map<String,Object>> publishObject;
    /**
     * 发布者
     */
    @ApiModelProperty("发布者")
    private String publisher;
    /**
     * 发布时间
     */
    @ApiModelProperty("发布时间")
    private Date publishTime;
    /**
     * 发送状态
     */
    @ApiModelProperty("发送状态")
    @Enumerated(EnumType.STRING)
    private NoticeStatus publishStatus;
    /**
     * 规则类型
     */
    @Enumerated(EnumType.STRING)
    private NoticeReceiverRuleType ruleType;
    /**
     * 内容
     */
    private String content;

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public NoticeReceiverRuleType getRuleType() {
        return ruleType;
    }

    public void setRuleType(NoticeReceiverRuleType ruleType) {
        this.ruleType = ruleType;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public List<Map<String, Object>> getPublishObject() {
        return publishObject;
    }

    public void setPublishObject(List<Map<String, Object>> publishObject) {
        this.publishObject = publishObject;
    }

    public String getPublisher() {
        return publisher;
    }

    public void setPublisher(String publisher) {
        this.publisher = publisher;
    }

    public Date getPublishTime() {
        return publishTime;
    }

    public void setPublishTime(Date publishTime) {
        this.publishTime = publishTime;
    }

    public NoticeStatus getPublishStatus() {
        return publishStatus;
    }

    public void setPublishStatus(NoticeStatus publishStatus) {
        this.publishStatus = publishStatus;
    }
}