package cn.com.qmth.examcloud.core.examwork.api.controller.bean;

import java.util.Date;
import java.util.List;
import java.util.Map;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * 考试--学生设置
 *
 * @author WANGWEI
 * @date 2018年5月16日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class StudentSpecialSettingsDomain implements JsonSerializable {

	private static final long serialVersionUID = -3335725218626631530L;

	private Long id;

	/**
	 * 考试ID
	 */
	private Long examId;

	/**
	 * 顶级机构ID
	 */
	private Long rootOrgId;

	/**
	 * 学生ID
	 */
	private Long studentId;

	/**
	 * 学生身份证
	 */
	private String identityNumber;

	/**
	 * 学生学号
	 */
	private List<String> studentCodeList;

	/**
	 * 考试批次开始时间
	 */
	private Date beginTime;

	/**
	 * 考试批次结束时间
	 */
	private Date endTime;

	/**
	 * 更新时间
	 */
	private Date updateTime;

	/**
	 * 是否禁止考试
	 */
	private Boolean examLimit;

	private Map<String, String> properties;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getStudentId() {
		return studentId;
	}

	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public List<String> getStudentCodeList() {
		return studentCodeList;
	}

	public void setStudentCodeList(List<String> studentCodeList) {
		this.studentCodeList = studentCodeList;
	}

	public Date getBeginTime() {
		return beginTime;
	}

	public void setBeginTime(Date beginTime) {
		this.beginTime = beginTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Boolean getExamLimit() {
		return examLimit;
	}

	public void setExamLimit(Boolean examLimit) {
		this.examLimit = examLimit;
	}

	public Map<String, String> getProperties() {
		return properties;
	}

	public void setProperties(Map<String, String> properties) {
		this.properties = properties;
	}

}
