package cn.com.qmth.examcloud.core.examwork.api.provider;

import cn.com.qmth.examcloud.core.examwork.service.ExamSkipFaceService;
import cn.com.qmth.examcloud.examwork.api.ExamSkipFaceCloudService;
import cn.com.qmth.examcloud.examwork.api.request.CheckExamSkipFaceReq;
import cn.com.qmth.examcloud.examwork.api.response.CheckExamSkipFaceResp;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Api(tags = "RPC-考试跳过人脸名单相关接口")
@RequestMapping("${$rmp.cloud.examwork}/exam")
public class ExamSkipFaceCloudServiceProvider extends ControllerSupport implements ExamSkipFaceCloudService {

    @Autowired
    private ExamSkipFaceService examSkipFaceService;

    @Override
    @PostMapping("/skip/face/check")
    @ApiOperation(value = "检查当前考生是否跳过人脸识别")
    public CheckExamSkipFaceResp checkExamSkipFace(@RequestBody CheckExamSkipFaceReq req) {
        boolean skip = examSkipFaceService.checkExamSkipFace(req.getExamId(), req.getExamStudentId());
        CheckExamSkipFaceResp resp = new CheckExamSkipFaceResp();
        resp.setSkip(skip);
        return resp;
    }

}
