package cn.com.qmth.examcloud.core.examwork.base.util;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import org.apache.commons.lang3.StringUtils;

import cn.com.qmth.examcloud.commons.exception.StatusException;

public class IpUtil {
	private static String reg="^0|([1-9][0-9]{0,2})$";
	public static void checkIp(String ip) {
		if (StringUtils.isBlank(ip)) {
			throw new StatusException("ip不能为空");
		}
		String[] ss1 = ip.split("\\.");
		if (ss1.length != 4) {
			throw new StatusException("ip格式错误");
		}
		for (int i = 0; i <= 2; i++) {
			checkIpNumber(ss1[i]);
		}
		String s = ss1[3];
		if (s.indexOf("-") != -1) {
			String[] ss2 = ip.split("-");
			if (ss2.length != 2) {
				throw new StatusException("ip段格式错误");
			}
			for (String s2 : ss2) {
				checkIpNumber(s2);
			}
			if (Integer.valueOf(ss2[0]) >= Integer.valueOf(ss2[1])) {
				throw new StatusException("ip段格式错误，起始数值必须小于截止数值");
			}
		} else {
			checkIpNumber(s);
		}
	}

	private static void checkIpNumber(String s) {
		Pattern pat = Pattern.compile(reg);
		Matcher mat = pat.matcher(s);
		if(!mat.matches()) {
			throw new StatusException("ip只能是最多三位的整数");
		}
		try {
			int val = Integer.valueOf(s);
			if (val < 0 || val > 255) {
				throw new StatusException("ip数值只能是0~255");
			}
		} catch (NumberFormatException e) {
			throw new StatusException("ip只能是整数");
		}
	}
}
