package cn.com.qmth.examcloud.core.examwork.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.examwork.dao.entity.ExamOrgPropertyEntity;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年8月20日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface ExamOrgPropertyRepo
		extends
			JpaRepository<ExamOrgPropertyEntity, Long>,
			QueryByExampleExecutor<ExamOrgPropertyEntity>,
			JpaSpecificationExecutor<ExamOrgPropertyEntity> {

	ExamOrgPropertyEntity findByExamIdAndOrgIdAndKeyId(Long examId, Long orgId, Long keyId);

	List<ExamOrgPropertyEntity> findByExamIdAndOrgId(Long examId, Long orgId);

	void deleteByExamIdAndOrgId(Long examId, Long orgId);

	void deleteByExamId(Long examId);

}
