package cn.com.qmth.examcloud.core.examwork.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.data.repository.query.QueryByExampleExecutor;
import org.springframework.transaction.annotation.Transactional;

import cn.com.qmth.examcloud.api.commons.enums.ExamSpecialSettingsType;
import cn.com.qmth.examcloud.core.examwork.dao.entity.ExamSpecialSettingsEntity;

public interface ExamSpecialSettingsRepo
		extends
			JpaRepository<ExamSpecialSettingsEntity, Long>,
			QueryByExampleExecutor<ExamSpecialSettingsEntity>,
			JpaSpecificationExecutor<ExamSpecialSettingsEntity> {

	ExamSpecialSettingsEntity findByExamIdAndOrgIdAndCourseIdIsNullAndStudentIdIsNull(Long examId,
			Long orgId);

	ExamSpecialSettingsEntity findByExamIdAndStudentIdAndOrgIdIsNullAndCourseIdIsNull(Long examId,
			Long studentId);

	ExamSpecialSettingsEntity findAllByExamIdAndOrgIdIsNullAndCourseIdIsNullAndStudentIdIsNull(
			Long examId);

	List<ExamSpecialSettingsEntity> findAllByExamIdAndCourseIdIsNullAndStudentIdIsNullAndOrgIdIsNotNull(
			Long examId);

	void deleteByExamIdAndOrgIdIsNotNullAndCourseIdIsNullAndStudentIdIsNull(Long examId);

	@Transactional
	@Modifying
	@Query("update ExamSpecialSettingsEntity set examEnable = :examEnable where examId = :examId")
	void updateExamEnableByExamId(@Param("examId") long examId,
			@Param("examEnable") Boolean examEnable);

	@Transactional
	@Modifying
	@Query("update ExamSpecialSettingsEntity set specialSettingsEnabled = :specialSettingsEnabled where examId = :examId")
	void updateSpecialSettingsEnabledByExamId(@Param("examId") long examId,
			@Param("specialSettingsEnabled") Boolean specialSettingsEnabled);

	@Transactional
	@Modifying
	@Query("update ExamSpecialSettingsEntity set specialSettingsType = :specialSettingsType where examId = :examId")
	void updateSpecialSettingsTypeByExamId(@Param("examId") long examId,
			@Param("specialSettingsType") ExamSpecialSettingsType specialSettingsType);

}
