package cn.com.qmth.examcloud.core.examwork.dao;

import cn.com.qmth.examcloud.core.examwork.dao.entity.ExamStageEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.repository.query.QueryByExampleExecutor;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @Description 考试场次
 * @Author lideyin
 * @Date 2020/7/22 14:54
 * @Version 1.0
 */
public interface ExamStageRepo
        extends
        JpaRepository<ExamStageEntity, Long>,
        QueryByExampleExecutor<ExamStageEntity>,
        JpaSpecificationExecutor<ExamStageEntity> {

    ExamStageEntity findFirstByExamIdOrderByStageOrderDesc(Long examId);

    List<ExamStageEntity> findByExamId(Long examId);

    ExamStageEntity findByExamIdAndStageOrder(Long examId,Integer stageOrder);

    @Transactional
    @Modifying
    void deleteByExamId(Long examId);
}
