package cn.com.qmth.examcloud.core.examwork.dao;

import cn.com.qmth.examcloud.core.examwork.dao.entity.NoticeReceiverRuleEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.QueryByExampleExecutor;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

public interface NoticeReceiverRuleRepo extends JpaRepository<NoticeReceiverRuleEntity, Long>,
        QueryByExampleExecutor<NoticeReceiverRuleEntity>, JpaSpecificationExecutor<NoticeReceiverRuleEntity> {

    List<NoticeReceiverRuleEntity> findByRootOrgIdAndNoticeIdIn(Long rootOrgId,List<Long> noticeIdList);

    @Transactional
    @Modifying
    @Query(value="delete from EC_E_NOTICE_RECEIVER_RULE where root_org_id=?1 and notice_id in ?2",nativeQuery = true)
    int deleteByRootOrgIdAndNoticeIdIn(Long rootOrgId, List<Long> noticeIdList);

    @Transactional
    @Modifying
    void deleteByNoticeId(Long noticeId);
}
