package cn.com.qmth.examcloud.core.examwork.dao;

import cn.com.qmth.examcloud.api.commons.enums.NoticeStatus;
import cn.com.qmth.examcloud.core.examwork.dao.entity.NoticeEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.QueryByExampleExecutor;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;
import java.util.List;

public interface NoticeRepo extends JpaRepository<NoticeEntity, Long>,
        QueryByExampleExecutor<NoticeEntity>, JpaSpecificationExecutor<NoticeEntity> {
    List<NoticeEntity> findByIdIn(List<Long> ids);

    int deleteByIdIn(List<Long> noticeIdList);

    List<NoticeEntity> findByCreationTimeBefore(Date lastYear);

    List<NoticeEntity> findByNoticeStatus(NoticeStatus noticeStatus);

    @Transactional
    @Modifying
    @Query(value = "update EC_E_NOTICE set notice_status=?2 where id=?1",nativeQuery = true)
    int updateNoticeStatus(Long noticeId,String noticeStatus);
}
