package cn.com.qmth.examcloud.core.examwork.dao;

import cn.com.qmth.examcloud.core.examwork.dao.entity.NoticeRulePublishProgressEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.QueryByExampleExecutor;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

public interface NoticeRulePublishProgressRepo extends JpaRepository<NoticeRulePublishProgressEntity, Long>,
        QueryByExampleExecutor<NoticeRulePublishProgressEntity>, JpaSpecificationExecutor<NoticeRulePublishProgressEntity> {

    List<NoticeRulePublishProgressEntity> findByNoticeIdIn(List<Long> noticeIdList);

    @Query(value="select t1.* from ec_e_notice_rule_publish_progress t1 " +
            " inner join ec_e_notice t2 on t1.notice_id=t2.id" +
            " where t2.notice_status in ('PUBLISHING','TO_BE_PUBLISHED')" +
            " order by t2.notice_status,t2.creation_time",nativeQuery = true)
    List<NoticeRulePublishProgressEntity> findUnpublishedNoticeProcessList();

    @Transactional
    @Modifying
    @Query(value = "delete from EC_E_NOTICE_RULE_PUBLISH_PROGRESS where root_org_id=?1 and notice_id in ?2", nativeQuery = true)
    int deleteByRootOrgIdAndNoticeIdIn(Long rootOrgId, List<Long> noticeId);

    @Transactional
    @Modifying
    void deleteByNoticeId(Long noticeId);
}
