package cn.com.qmth.examcloud.core.examwork.dao.entity;

import cn.com.qmth.examcloud.web.jpa.JpaEntity;

import javax.persistence.*;

@Entity
@Table(name = "ec_e_exam_course_relation", indexes = {
        @Index(name = "IDX_E_E_C_R_008001", columnList = "courseId"),
        @Index(name = "IDX_E_E_C_R_008002", columnList = "examId,courseCode", unique = true)
})
@IdClass(ExamCourseRelationPK.class)
public class ExamCourseRelationEntity extends JpaEntity {

    private static final long serialVersionUID = 757531976286006550L;

    @Id
    private Long examId;

    @Id
    private Long courseId;

    @Column(nullable = false)
    private String courseName;

    @Column(nullable = false)
    private String courseCode;

    @Column(nullable = false)
    private String courseLevel;

    @Column(nullable = false)
    private Boolean courseEnable;

    /**
     * 是否开放微信小程序作答
     */
    @Column(nullable = false)
    private Boolean weixinAnswerEnabled;

    /**
     * 分数及格线（整数百分比）默认：60%
     */
    @Column(nullable = false)
    private Integer passScoreLine;

    /**
     * 分数优秀线（整数百分比）默认：90%
     */
    @Column(nullable = false)
    private Integer goodScoreLine;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseLevel() {
        return courseLevel;
    }

    public void setCourseLevel(String courseLevel) {
        this.courseLevel = courseLevel;
    }

    public Boolean getCourseEnable() {
        return courseEnable;
    }

    public void setCourseEnable(Boolean courseEnable) {
        this.courseEnable = courseEnable;
    }

    public Boolean getWeixinAnswerEnabled() {
        return weixinAnswerEnabled;
    }

    public void setWeixinAnswerEnabled(Boolean weixinAnswerEnabled) {
        this.weixinAnswerEnabled = weixinAnswerEnabled;
    }

    public Integer getPassScoreLine() {
        return passScoreLine;
    }

    public void setPassScoreLine(Integer passScoreLine) {
        this.passScoreLine = passScoreLine;
    }

    public Integer getGoodScoreLine() {
        return goodScoreLine;
    }

    public void setGoodScoreLine(Integer goodScoreLine) {
        this.goodScoreLine = goodScoreLine;
    }

}
