package cn.com.qmth.examcloud.core.examwork.dao.entity;

import cn.com.qmth.examcloud.core.examwork.dao.enums.IpLimitType;
import cn.com.qmth.examcloud.web.jpa.JpaEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Table;

/**
 * Created by songyue on 17/1/13.
 */
@Entity
@Table(name = "EC_E_EXAM_IP_LIMIT", indexes = {
		@Index(name = "IDX_E_E_001001", columnList = "examId"),
		@Index(name = "IDX_E_E_001002", columnList = "limitType")})
public class ExamIpLimitEntity extends JpaEntity {

	private static final long serialVersionUID = 4009839764353162256L;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private Long id;

	/**
	 * 考试Id
	 */

	@Column(nullable = false)
	private Long examId;

	/**
	 * ip地址
	 */
	private String ip;

	/**
	 * 限制类型
	 */
	@Enumerated(EnumType.STRING)
	private IpLimitType limitType;

	/**
	 * ip地址归属的学习中心备注信息
	 */
	@Column(length = 100)
	private String remark;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getExamId() {
		return examId;
	}

	public String getIp() {
		return ip;
	}

	public void setIp(String ip) {
		this.ip = ip;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public IpLimitType getLimitType() {
		return limitType;
	}

	public void setLimitType(IpLimitType limitType) {
		this.limitType = limitType;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

}
