package cn.com.qmth.examcloud.core.examwork.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Lob;
import javax.persistence.Table;

import cn.com.qmth.examcloud.web.jpa.JpaEntity;

/**
 * 考试属性配置
 *
 * @author WANGWEI
 * @date 2018年8月6日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_E_EXAM_PROP", indexes = {
		@Index(name = "IDX_E_EXAM_PROP_001001", columnList = "examId,keyId", unique = true)})
public class ExamPropertyEntity extends JpaEntity {

	private static final long serialVersionUID = 4009839764353162256L;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private Long id;

	/**
	 * 考试Id
	 */
	@Column(nullable = false)
	private Long examId;

	@Column(nullable = false)
	private Long keyId;

	@Lob
	private String value;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getKeyId() {
		return keyId;
	}

	public void setKeyId(Long keyId) {
		this.keyId = keyId;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

}
