package cn.com.qmth.examcloud.core.examwork.dao.entity;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;

import org.springframework.format.annotation.DateTimeFormat;

import cn.com.qmth.examcloud.web.jpa.WithIdJpaEntity;

/**
 * 考点场次
 *
 * @author WANGWEI
 * @date 2019年10月18日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_EXAM_SITE_BATCH", indexes = {
		@Index(name = "IDX_E_S_BATCH_001001", columnList = "examId,siteId", unique = false)})
public class ExamSiteBatchEntity extends WithIdJpaEntity {

	private static final long serialVersionUID = 7371957453011078961L;

	@Column(nullable = false)
	private Long rootOrgId;

	/**
	 * 考试ID
	 */
	@Column(nullable = false)
	private Long examId;

	/**
	 * 考点ID
	 */
	@Column(nullable = false)
	private Long siteId;

	/**
	 * 场次可以考试时间段开始时间
	 */
	@Column(nullable = false)
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date beginTime;

	/**
	 * 场次可以考试时间段结束时间
	 */
	@Column(nullable = false)
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date endTime;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getSiteId() {
		return siteId;
	}

	public void setSiteId(Long siteId) {
		this.siteId = siteId;
	}

	public Date getBeginTime() {
		return beginTime;
	}

	public void setBeginTime(Date beginTime) {
		this.beginTime = beginTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

}
