package cn.com.qmth.examcloud.core.examwork.dao.entity;

import cn.com.qmth.examcloud.api.commons.enums.ExamStageStartExamStatus;
import cn.com.qmth.examcloud.api.commons.enums.SubmitType;
import cn.com.qmth.examcloud.web.jpa.WithIdJpaEntity;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.*;
import java.util.Date;

/**
 * @Description 场次
 * @Author lideyin
 * @Date 2020/7/21 17:51
 * @Version 1.0
 */
@SuppressWarnings("ALL")
@Entity
@Table(name = "ec_e_exam_stage", indexes = {
        @Index(name = "IDX_E_ES_001001", columnList = "examId")})
@DynamicInsert
@DynamicUpdate
public class ExamStageEntity extends WithIdJpaEntity {


    private static final long serialVersionUID = -3000782817649410227L;
    /**
     * 顶级机构Id
     */
    @Column(nullable = false)
    private Long rootOrgId;

    /**
     * 考试id
     */
    @Column(nullable = false)
    private Long examId;

    /**
     * 场次号
     */
    @Column(nullable = false)
    private Integer stageOrder;

    /**
     * 开始进入考试时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 考试批次结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @Column(nullable = false)
    private Boolean enable;

    /**
     * 是否特殊设置
     */
    @Column(nullable = false)
    private Boolean specialSetting;

    /**
     * 回收试卷类型
     */
    @Column(nullable = false, length = 50)
    @Enumerated(EnumType.STRING)
    private SubmitType submitType;

    /**
     * 统一收卷考试时长
     */
    private Integer submitDuration;

    /**
     * 场次开考状态
     */
    @Column(nullable = false, length = 50)
    @Enumerated(EnumType.STRING)
    private ExamStageStartExamStatus startExamStatus;

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Integer getStageOrder() {
        return stageOrder;
    }

    public void setStageOrder(Integer stageOrder) {
        this.stageOrder = stageOrder;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public Boolean getSpecialSetting() {
        return specialSetting;
    }

    public void setSpecialSetting(Boolean specialSetting) {
        this.specialSetting = specialSetting;
    }

    public SubmitType getSubmitType() {
        return submitType;
    }

    public void setSubmitType(SubmitType submitType) {
        this.submitType = submitType;
    }

    public Integer getSubmitDuration() {
        return submitDuration;
    }

    public void setSubmitDuration(Integer submitDuration) {
        this.submitDuration = submitDuration;
    }

    public ExamStageStartExamStatus getStartExamStatus() {
        return startExamStatus;
    }

    public void setStartExamStatus(ExamStageStartExamStatus startExamStatus) {
        this.startExamStatus = startExamStatus;
    }
}
