package cn.com.qmth.examcloud.core.examwork.dao.entity;

import cn.com.qmth.examcloud.api.commons.enums.SubmitType;
import cn.com.qmth.examcloud.web.jpa.WithIdJpaEntity;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description 场次通用设置表
 * @Author lideyin
 * @Date 2020/7/21 17:51
 * @Version 1.0
 */
@Entity
@Table(name = "ec_e_exam_stage_setting", indexes = {
        @Index(name = "IDX_E_ESS_001001", columnList = "examId", unique = true)})
@DynamicInsert
@DynamicUpdate
public class ExamStageSettingEntity extends WithIdJpaEntity {

    private static final long serialVersionUID = -7000467877941497018L;

    /**
     * 考试id
     */
    @Column(nullable = false)
    private Long examId;

    /**
     * 回收试卷类型
     */
    @Column(nullable = false, length = 50)
    @Enumerated(EnumType.STRING)
    private SubmitType submitType;

    /**
     * 统一收卷考试时长
     */
    private Integer submitDuration;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public SubmitType getSubmitType() {
        return submitType;
    }

    public void setSubmitType(SubmitType submitType) {
        this.submitType = submitType;
    }

    public Integer getSubmitDuration() {
        return submitDuration;
    }

    public void setSubmitDuration(Integer submitDuration) {
        this.submitDuration = submitDuration;
    }
}
