package cn.com.qmth.examcloud.core.examwork.dao.entity;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.Index;
import javax.persistence.Lob;
import javax.persistence.Table;

import org.springframework.format.annotation.DateTimeFormat;

import cn.com.qmth.examcloud.api.commons.enums.NoticeStatus;
import cn.com.qmth.examcloud.web.jpa.WithIdJpaEntity;

/**
 * 公告
 *
 * @author WANGWEI
 * @date 2019年6月27日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_E_NOTICE", indexes = {
		@Index(name = "IDX_E_NOTICE_001001", columnList = "rootOrgId", unique = false)})
public class NoticeEntity extends WithIdJpaEntity {

	private static final long serialVersionUID = 7071809872436511009L;

	/**
	 * 学校id
	 */
	@Column(nullable = false)
	private Long rootOrgId;

	/**
	 * 标题
	 */
	@Column(nullable = false, length = 100)
	private String title;

	/**
	 * 内容
	 */
	@Lob
	private String content;

	/**
	 * 发布者
	 */
	@Column(nullable = false, length = 100)
	private String publisher;

	/**
	 * 发布时间
	 */
	@Column(nullable = true)
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date publishTime;

	/**
	 * 公告状态
	 */
	@Column(nullable = false)
	@Enumerated(EnumType.STRING)
	private NoticeStatus noticeStatus;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getPublisher() {
		return publisher;
	}

	public void setPublisher(String publisher) {
		this.publisher = publisher;
	}

	public Date getPublishTime() {
		return publishTime;
	}

	public void setPublishTime(Date publishTime) {
		this.publishTime = publishTime;
	}

	public NoticeStatus getNoticeStatus() {
		return noticeStatus;
	}

	public void setNoticeStatus(NoticeStatus noticeStatus) {
		this.noticeStatus = noticeStatus;
	}

}
