package cn.com.qmth.examcloud.core.examwork.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.Index;
import javax.persistence.Table;

import cn.com.qmth.examcloud.api.commons.enums.NoticeReceiverRuleType;
import cn.com.qmth.examcloud.web.jpa.WithIdJpaEntity;

/**
 * 公告接收规则
 *
 * @author WANGWEI
 * @date 2019年6月27日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_E_NOTICE_RECEIVER_RULE", indexes = {
		@Index(name = "IDX_E_N_RULE_001001", columnList = "rootOrgId", unique = false),
		@Index(name = "IDX_E_N_RULE_001002", columnList = "noticeId", unique = false),
		@Index(name = "IDX_E_N_RULE_001003", columnList = "noticeId,ruleType,ruleValue", unique = false)})
public class NoticeReceiverRuleEntity extends WithIdJpaEntity {

	private static final long serialVersionUID = 7071809872436511009L;

	/**
	 * 学校id
	 */
	@Column(nullable = false)
	private Long rootOrgId;

	/**
	 * 公告ID
	 */
	@Column(nullable = false)
	private Long noticeId;

	/**
	 * 规则类型
	 */
	@Column(nullable = false)
	@Enumerated(EnumType.STRING)
	private NoticeReceiverRuleType ruleType;

	/**
	 * 规则值<br>
	 * ruleType=STUDENTS_OF_EXAM,ruleValue为examId<br>
	 * ruleType=ALL_STUDENTS,ruleValue为null<br>
	 * ruleType=COMMON_USERS_OF_ROEL,ruleValue为roleId<br>
	 */
	@Column(nullable = true, length = 100)
	private String ruleValue;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getNoticeId() {
		return noticeId;
	}

	public void setNoticeId(Long noticeId) {
		this.noticeId = noticeId;
	}

	public NoticeReceiverRuleType getRuleType() {
		return ruleType;
	}

	public void setRuleType(NoticeReceiverRuleType ruleType) {
		this.ruleType = ruleType;
	}

	public String getRuleValue() {
		return ruleValue;
	}

	public void setRuleValue(String ruleValue) {
		this.ruleValue = ruleValue;
	}

}
