package cn.com.qmth.examcloud.core.examwork.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.Index;
import javax.persistence.Table;

import cn.com.qmth.examcloud.api.commons.enums.NoticeReceiverRuleType;
import cn.com.qmth.examcloud.web.jpa.WithIdJpaEntity;

/**
 * 公告发布规则进度
 * 
 * @author lideyin
 * @date 20100701
 */
@Entity
@Table(name = "EC_E_NOTICE_RULE_PUBLISH_PROGRESS", indexes = {
		@Index(name = "IDX_E_NOTICE_R_P_R_001001", columnList = "noticeId,noticeReceiverRuleType", unique = true)})
public class NoticeRulePublishProgressEntity extends WithIdJpaEntity {

	private static final long serialVersionUID = 7071809872436511009L;

	/**
	 * 公告id
	 */
	private Long noticeId;

	/**
	 * 规则类型
	 */
	@Column(nullable = false)
	@Enumerated(EnumType.STRING)
	private NoticeReceiverRuleType noticeReceiverRuleType;

	/**
	 * 学校id
	 */
	@Column(nullable = false)
	private Long rootOrgId;

	/**
	 * 已发布的最大用户id
	 */
	private Long maxStudentId;

	/**
	 * 已发布的最大用户id
	 */
	private Long maxCommonUserId;

	public Long getNoticeId() {
		return noticeId;
	}

	public void setNoticeId(Long noticeId) {
		this.noticeId = noticeId;
	}

	public NoticeReceiverRuleType getNoticeReceiverRuleType() {
		return noticeReceiverRuleType;
	}

	public void setNoticeReceiverRuleType(NoticeReceiverRuleType noticeReceiverRuleType) {
		this.noticeReceiverRuleType = noticeReceiverRuleType;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getMaxStudentId() {
		return maxStudentId;
	}

	public void setMaxStudentId(Long maxStudentId) {
		this.maxStudentId = maxStudentId;
	}

	public Long getMaxCommonUserId() {
		return maxCommonUserId;
	}

	public void setMaxCommonUserId(Long maxCommonUserId) {
		this.maxCommonUserId = maxCommonUserId;
	}

}
