package cn.com.qmth.examcloud.core.examwork.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Table;

import cn.com.qmth.examcloud.web.jpa.JpaEntity;

@Entity
@Table(name = "ec_e_org_ip", indexes = { @Index(name = "IDX_E_ORG_IP_01", columnList = "rootOrgId,orgId")})
public class OrgIpEntity extends JpaEntity {

	private static final long serialVersionUID = -7956507246258115392L;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private Long id;

	@Column(nullable = false)
	private Long rootOrgId;

	@Column(nullable = false)
	private Long orgId;

	/**
	 * ip地址
	 */
	@Column(nullable = false)
	private String ip;
	@Column(nullable = false)
	private Long creationBy;
	@Column(nullable = false)
	private Long updateBy;
	/**
	 * ip地址归属的学习中心备注信息
	 */
	@Column(length = 100)
	private String remark;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public String getIp() {
		return ip;
	}

	public void setIp(String ip) {
		this.ip = ip;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Long getCreationBy() {
		return creationBy;
	}

	public void setCreationBy(Long creationBy) {
		this.creationBy = creationBy;
	}

	public Long getUpdateBy() {
		return updateBy;
	}

	public void setUpdateBy(Long updateBy) {
		this.updateBy = updateBy;
	}

}
