package cn.com.qmth.examcloud.core.examwork.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;

import cn.com.qmth.examcloud.web.jpa.WithIdAndStatusJpaEntity;

/**
 * 考点
 *
 * @author WANGWEI
 * @date 2019年10月18日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_E_SITE", indexes = {
		@Index(name = "IDX_E_SITE_001001", columnList = "rootOrgId,code", unique = true),
		@Index(name = "IDX_E_SITE_001002", columnList = "rootOrgId,name", unique = false)})
public class SiteEntity extends WithIdAndStatusJpaEntity {

	private static final long serialVersionUID = -8373763465850491821L;

	@Column(nullable = false)
	private Long rootOrgId;

	@Column(nullable = false)
	private String code;

	@Column(nullable = false)
	private String name;

	/**
	 * 考点最大人数
	 */
	@Column(nullable = false)
	private Long maxNumOfStudent;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getMaxNumOfStudent() {
		return maxNumOfStudent;
	}

	public void setMaxNumOfStudent(Long maxNumOfStudent) {
		this.maxNumOfStudent = maxNumOfStudent;
	}

}
