package cn.com.qmth.examcloud.core.examwork.dao.enums;

import org.apache.commons.lang3.StringUtils;

/**
 * description
 *
 * @author qinchao
 * @date 2021/4/14 16:28
 */
public enum IpLimitType {
    /**
     * 允许访问
     */
    HAS_ACCESS("允许访问"),
    /**
     * 禁止访问
     */
    NO_ACCESS("禁止访问");

    private String title;

    IpLimitType(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public static IpLimitType formByTitle(String title) {
        if (StringUtils.isBlank(title)) {
            return null;
        }
        for (IpLimitType ipLimitType : IpLimitType.values()) {
            if (ipLimitType.getTitle().equals(title)) {
                return ipLimitType;
            }
        }
        return null;
    }

}
