/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-31 09:35:03.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.examwork.service.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.api.commons.security.bean.UserType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 公告查询类
 */
@ApiModel
public class UserNoticeInfoQuery implements JsonSerializable {

    private static final long serialVersionUID = -1962646957678995495L;

    /**
     * 学校id
     */
    @ApiModelProperty("学校id")
    private Long rootOrgId;

    /**
     * 用户类型
     */
    @ApiModelProperty("用户类型")
    private UserType userType;

    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private Long userId;

    /**
     * 是否已读(true,已读;false,未读)
     */
    @ApiModelProperty("是否已读")
    private Boolean hasRead;

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Boolean getHasRead() {
        return hasRead;
    }

    public void setHasRead(Boolean hasRead) {
        this.hasRead = hasRead;
    }

    public UserType getUserType() {
        return userType;
    }

    public void setUserType(UserType userType) {
        this.userType = userType;
    }
}