package cn.com.qmth.examcloud.core.examwork.service.cache;

import cn.com.qmth.examcloud.commons.helpers.DynamicEnum;
import cn.com.qmth.examcloud.commons.helpers.DynamicEnumManager;
import cn.com.qmth.examcloud.core.examwork.base.enums.ExamProperty;
import cn.com.qmth.examcloud.core.examwork.dao.ExamPropertyRepo;
import cn.com.qmth.examcloud.core.examwork.dao.entity.ExamPropertyEntity;
import cn.com.qmth.examcloud.support.CacheConstants;
import cn.com.qmth.examcloud.support.cache.bean.ExamPropertyCacheBean;
import cn.com.qmth.examcloud.web.cache.RandomObjectRedisCache;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class ExamPropertyCache extends RandomObjectRedisCache<ExamPropertyCacheBean> {

    @Autowired
    ExamPropertyRepo examPropertyRepo;

    @Override
    public ExamPropertyCacheBean loadFromResource(Object... keys) {
        Long examId = (Long) keys[0];
        String key = (String) keys[1];

        DynamicEnumManager manager = ExamProperty.getDynamicEnumManager();
        DynamicEnum de = manager.getByName(key);

        ExamPropertyEntity examPropertyEntity = examPropertyRepo.findByExamIdAndKeyId(examId,
                de.getId());

        ExamPropertyCacheBean b = new ExamPropertyCacheBean();
        b.setExamId(examId);
        b.setKey(key);

        if (null == examPropertyEntity) {
            b.setHasValue(false);
            return b;
        }

        b.setValue(examPropertyEntity.getValue());
        return b;
    }

    @Override
    protected String getKeyPrefix() {
        return CacheConstants.CACHE_E_EXAM_PROP;
    }

    @Override
    protected int getTimeout() {
        // 10s
        return 10;
    }

}
