package cn.com.qmth.examcloud.core.examwork.service.cache;

import cn.com.qmth.examcloud.core.examwork.service.ExamService;
import cn.com.qmth.examcloud.support.CacheConstants;
import cn.com.qmth.examcloud.support.cache.bean.ExamStudentPropertyCacheBean;
import cn.com.qmth.examcloud.web.cache.RandomObjectRedisCache;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class ExamStudentPropertyCache extends RandomObjectRedisCache<ExamStudentPropertyCacheBean> {

    @Autowired
    ExamService examService;

    @Override
    public ExamStudentPropertyCacheBean loadFromResource(Object... keys) {
        Long examId = (Long) keys[0];
        Long studentId = (Long) keys[1];
        String key = (String) keys[2];

        ExamStudentPropertyCacheBean b = new ExamStudentPropertyCacheBean();
        b.setExamId(examId);
        b.setStudentId(studentId);
        b.setKey(key);
        b.setHasValue(false);
        return b;
    }

    @Override
    protected String getKeyPrefix() {
        return CacheConstants.CACHE_E_EXAM_STUDENT_PROP;
    }

    @Override
    protected int getTimeout() {
        // 10s
        return 10;
    }

}
